Description: Client parameters are not applied
 .
 ptypy (0.8.0-1) unstable; urgency=medium
 .
   * New upstream release.
   * d/control: add mencoder as a suggested package.
   * d/copyright: exclude unused and conflicting files.
   * d/upstream/metadata: fill the form.
Author: Damir R. Islamov <damir@trefle.ru>

---
Origin: (upstream|backport|vendor|other), (<patch-url>|commit:<commit-id>)
Bug: <upstream-bugtracker-url>
Forwarded: (no|not-needed|<patch-forwarded-url>)
Applied-Upstream: <version>, (<commit-url>|commit:<commid-id>)
Reviewed-By: <name and email of someone who approved/reviewed the patch>
Last-Update: 2024-02-15

--- a/scripts/ptypy.plotclient
+++ b/scripts/ptypy.plotclient
@@ -18,9 +18,14 @@ parser.add_argument('-d', '--dir', dest=
 
 # Parse command line arguments. This will update defaults in the defaults_tree
 args = parser.parse_args()
+args = vars(args)
 
 plot_pars = plot_desc.make_default(depth=5)
+plot_pars.layout= args['layout']
+
 client_pars = client_desc.make_default(depth=5)
+client_pars.address = args["client-address"]
+client_pars.port = args["client-port"]
 
-plotter = MPLClient(client_pars=client_pars, autoplot_pars=plot_pars)
+plotter = MPLClient(client_pars=client_pars, autoplot_pars=plot_pars, home=args["directory"])
 plotter.loop_plot()
